package com.gyee.frame.service.ticket;

import com.gyee.frame.model.ticket.Labor;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2020-07-26
 */
public interface LaborService extends IService<Labor> {

    /**
     * 查询所有人员
     * @return
     */
    List<Labor> getLabors();

    /**
     * 根据流程节点角色查询人员
     *
     * 人员组
     *
     * @param groupName
     * @return
     */
    List<Labor> getLaborOfPersonGroup(String groupName);


    /**
     * 根据流程节点角色查询人员
     *
     * 部门过滤
     *
     * @param dept
     * @param groupName
     * @return
     */
    List<Labor> getLaborOfDept(String dept, String groupName);

    /**
     * 根据流程节点角色查询人员
     *
     * 人员
     *
     * @param role
     * @return
     */
    List<Labor> getLaborOfPerson(String role);


    /**
     * 根据场站查询人员
     *
     * @param dept
     * @return
     */
    List<Labor> getLabors(String dept);


    /**
     * 查询之前节点出现过的人员
     *
     * @param instId
     * @param role
     * @return
     */
    List<Labor> getLaborSingle(double instId, String role);

    /**
     * 根据人员登录名查询一条
     *
     * @param laborNum
     * @return
     */
    Labor getLaborItem(String laborNum);

    /**
     * 查询流程启动者
     *
     * @param instId
     */
    List<Labor> getFlowStarter(double instId);

    /**
     * 登录用户查询
     *
     * @param username
     * @param password
     * @return
     */
    Labor getLabor(String username, String password);
}
